Subject: bug#21650: fix should be underneath MH-E

From: Katsumi Yamaoka <[email-masked]>
Date: Fri, 05 Feb 2016 15:04:14 +0900

On Thu, 04 Feb 2016 17:41:54 -0800, Mike Kupfer wrote:
> Just to confirm, mm-html-blocked-images would block the downloading of
> remote images, but images that are embedded in the email and referenced
> using a cid would still be displayed?

Yes, it will be displayed unless `inhibit-images' is non-nil.
In that case, the url of the embedded data begins with "cid:",
and `shr-tag-img' doesn't see what `blocked-images' is.

I have `inhibit-images'=t and `blocked-images'=nil, so images are
not displayed normally, but do `W D W' (gnus-article-show-images)
only when I want to see those images.

>> Make `mm-inline-text-html-with-images' an obsolete variable alias
>> for `mm-html-inhibit-images'.

> I'm afraid I don't understand well enough how variable obsolescence
> works in Emacs to be sure.
> mm-inline-text-html-with-images is documented in terms of retrieving
> messages, and non-nil means to allow retrieval.  mm-html-inhibit-images
> would apparently control display of any images (even ones embedded in
> the email), and non-nil means *not* to display.

Oops.  Sorry for my nonsense.  But I'd like to make it obsolete
anyway, since it is a very old option (that is what I made 14
years ago) and has been being used for only w3m.  I'll do:

(make-obsolete-variable 'mm-inline-text-html-with-images nil "25.1")

(defcustom mm-html-inhibit-images t
  "Non-nil means inhibit displaying of images inline in the article body."
  :version "25.1"
  :type 'boolean
  :group 'mime-display
  :set (lambda (symbol value)
	 (custom-set-default
	  symbol
	  (if (boundp 'mm-inline-text-html-with-images)
	      (not (symbol-value 'mm-inline-text-html-with-images))
	    value))))

The refactoring in Gnus and mm will probably be finished within
a week.

Regards,